import { DeepClient } from '@deep-foundation/deeplinks/imports/client';
import { PushNotification } from './push-notification';
/**
 * Gets push notification from deep
 *
 * @throws {Error} If title is not found
 * @throws {Error} If body is not found
 *
 * @example
```ts
const pushNotification = await getPushNotification({
  deep,
  pushNotificationLinkId,
})
```
 */
export declare function getPushNotification({ deep, pushNotificationLinkId, }: GetPushNotificationParam): Promise<GetPushNotificationResult>;
export interface GetPushNotificationParam {
    /**
     * Deep Client
     */
    deep: DeepClient;
    /**
     * Link id of push notification
     */
    pushNotificationLinkId: number;
}
export type GetPushNotificationResult = PushNotification;
