import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Card, CardHeader, Heading, CardBody, Text } from "@chakra-ui/react";
/**
 * A React component that displays a PushNotification's information in a card format.
 *
 * @returns A `Card` component containing PushNotification model as a `Heading` in the `CardHeader` and PushNotification name as a `Text` in the `CardBody`.
 */
export function PushNotification(param) {
    const { pushNotification: PushNotification } = param;
    return _jsxs(Card, { ...param.cardProps, children: [_jsx(CardHeader, { children: _jsx(Heading, { children: PushNotification.title }) }), _jsx(CardBody, { children: _jsx(Text, { children: PushNotification.body }) })] });
}
